Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman25.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman25.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman25.cs	(revision 17642)
@@ -6,5 +6,22 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman25 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.25.13 q/C"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman25() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman25(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman25(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name { get { return string.Format("Feynman I.25.13 q/C | {0} samples", trainingSamples); } }
 
     protected override string TargetVariable { get { return "Volt"; } }
@@ -14,9 +31,8 @@
     public int Seed { get; private set; }
 
-    public Feynman25() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman25(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman26.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman26.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman26.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman26 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.26.2 arcsin(n*sin(theta2))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman26() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman26(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman26(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.26.2 arcsin(n*sin(theta2)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "theta1"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman26() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman26(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman27.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman27.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman27.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman27 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.27.6 1/(1/d1+n/d2)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman27() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman27(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman27(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.27.6 1/(1/d1+n/d2) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "foc"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman27() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman27(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman28.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman28.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman28.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman28 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.29.4 omega/c"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman28() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman28(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman28(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.29.4 omega/c | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "k"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman28() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman28(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman29.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman29.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman29.cs	(revision 17642)
@@ -6,5 +6,27 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman29 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.29.16 sqrt(x1**2+x2**2-2*x1*x2*cos(theta1-theta2))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman29() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman29(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman29(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get {
+        return string.Format("Feynman I.29.16 sqrt(x1**2+x2**2-2*x1*x2*cos(theta1-theta2)) | {0} samples",
+          trainingSamples);
+      }
+    }
 
     protected override string TargetVariable { get { return "x"; } }
@@ -14,9 +36,8 @@
     public int Seed { get; private set; }
 
-    public Feynman29() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman29(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -38,5 +59,6 @@
 
       for (var i = 0; i < x1.Count; i++) {
-        var res = Math.Sqrt(Math.Pow(x1[i], 2) + Math.Pow(x2[i], 2) - 2 * x1[i] * x2[i] * Math.Cos(theta1[i] - theta2[i]));
+        var res = Math.Sqrt(Math.Pow(x1[i], 2) + Math.Pow(x2[i], 2) -
+                            2 * x1[i] * x2[i] * Math.Cos(theta1[i] - theta2[i]));
         x.Add(res);
       }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman3.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman3.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman3.cs	(revision 17642)
@@ -1,32 +1,50 @@
-﻿using System;
+using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using HeuristicLab.Common;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class Feynman3 : FeynmanDescriptor{
- public override string Name { get { return "Feynman I.6.2b f = exp(-((theta-theta1)/sigma)^2/2)/(sqrt(2*pi)*sigma)"; } }
+  public class Feynman3 : FeynmanDescriptor {
+    private readonly int testSamples;
+    private readonly int trainingSamples;
 
- protected override string TargetVariable { get { return "f"; } }
-    protected override string[] VariableNames { get { return new string[] { "sigma", "theta", "theta1", "f"}; } }
-    protected override string[] AllowedInputVariables { get { return new string[] { "sigma", "theta", "theta1" }; } }
+    public Feynman3() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman3(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman3(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get {
+        return string.Format("Feynman I.6.2b exp(-((theta-theta1)/sigma)**2/2)/(sqrt(2*pi)*sigma) | {0} samples",
+          trainingSamples);
+      }
+    }
+
+    protected override string TargetVariable { get { return "f"; } }
+    protected override string[] VariableNames { get { return new[] {"sigma", "theta", "theta1", "f"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"sigma", "theta", "theta1"}; } }
 
     public int Seed { get; private set; }
 
-    public Feynman3() : this((int)System.DateTime.Now.Ticks) { }
-
-    public Feynman3(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
-      var rand = new MersenneTwister((uint)Seed);
+      var rand = new MersenneTwister((uint) Seed);
 
-      var data = new List<List<double>>();
-      var sigma = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
-      var theta = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var data   = new List<List<double>>();
+      var sigma  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var theta  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
       var theta1 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
 
@@ -38,10 +56,8 @@
       data.Add(f);
 
-
-      for (var i = 0; i < theta.Count; i++) {
+      for (var i = 0; i < sigma.Count; i++) {
         var res = Math.Exp(-(Math.Pow(theta[i] - theta1[i], 2) / sigma[i]) / 2) / (Math.Sqrt(2 * Math.PI) * sigma[i]);
         f.Add(res);
       }
-
 
       return data;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman30.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman30.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman30.cs	(revision 17642)
@@ -6,5 +6,26 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman30 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.30.3 Int_0*sin(n*theta/2)**2/sin(theta/2)**2"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman30() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman30(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman30(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get {
+        return string.Format("Feynman I.30.3 Int_0*sin(n*theta/2)**2/sin(theta/2)**2 | {0} samples", trainingSamples);
+      }
+    }
 
     protected override string TargetVariable { get { return "Int"; } }
@@ -14,9 +35,8 @@
     public int Seed { get; private set; }
 
-    public Feynman30() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman30(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman31.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman31.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman31.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman31 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.30.5 arcsin(lambd/(n*d))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman31() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman31(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman31(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.30.5 arcsin(lambd/(n*d)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "theta"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman31() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman31(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman32.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman32.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman32.cs	(revision 17642)
@@ -6,17 +6,35 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman32 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.32.5 q**2*a**2/(6*pi*epsilon*c**3)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman32() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman32(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman32(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.32.5 q**2*a**2/(6*pi*epsilon*c**3) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "Pwr"; } }
-    protected override string[] VariableNames { get { return new string[] {"q", "a", "epsilon", "c", "Pwr"}; } }
-    protected override string[] AllowedInputVariables { get { return new string[] {"q", "a", "epsilon", "c"}; } }
+    protected override string[] VariableNames { get { return new[] {"q", "a", "epsilon", "c", "Pwr"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"q", "a", "epsilon", "c"}; } }
 
     public int Seed { get; private set; }
 
-    public Feynman32() : this((int) System.DateTime.Now.Ticks) { }
-
-    public Feynman32(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman33.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman33.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman33.cs	(revision 17642)
@@ -6,6 +6,27 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman33 : FeynmanDescriptor {
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman33() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman33(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman33(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
     public override string Name {
-      get { return "Feynman I.32.17 (1/2*epsilon*c*Ef**2)*(8*pi*r**2/3)*(omega**4/(omega**2-omega_0**2)**2)"; }
+      get {
+        return string.Format(
+          "Feynman I.32.17 (1/2*epsilon*c*Ef**2)*(8*pi*r**2/3)*(omega**4/(omega**2-omega_0**2)**2) | {0} samples",
+          trainingSamples);
+      }
     }
 
@@ -22,9 +43,8 @@
     public int Seed { get; private set; }
 
-    public Feynman33() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman33(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -50,5 +70,6 @@
 
       for (var i = 0; i < epsilon.Count; i++) {
-        var res = 1.0 / 2 * epsilon[i] * c[i] * Math.Pow(Ef[i], 2) * (8 * Math.PI + Math.Pow(r[i], 2) / 3) * (Math.Pow(omega[i], 4) / Math.Pow((Math.Pow(omega[i], 2) - Math.Pow(omega_0[i], 2)),2));
+        var res = 1.0 / 2 * epsilon[i] * c[i] * Math.Pow(Ef[i], 2) * (8 * Math.PI + Math.Pow(r[i], 2) / 3) *
+                  (Math.Pow(omega[i], 4) / Math.Pow(Math.Pow(omega[i], 2) - Math.Pow(omega_0[i], 2), 2));
         Pwr.Add(res);
       }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman34.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman34.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman34.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman34 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.34.8 q*v*B/p"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman34() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman34(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman34(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.34.8 q*v*B/p | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "omega"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman34() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman34(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman35.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman35.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman35.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman35 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.34.1 omega_0/(1-v/c)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman35() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman35(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman35(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.34.1 omega_0/(1-v/c) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "omega"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman35() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman35(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman36.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman36.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman36.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman36 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.34.14 (1+v/c)/sqrt(1-v**2/c**2)*omega_0"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman36() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman36(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman36(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.34.14 (1+v/c)/sqrt(1-v**2/c**2)*omega_0 | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "omega"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman36() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman36(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman37.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman37.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman37.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman37 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.34.27 (h/(2*pi))*omega"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman37() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman37(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman37(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.34.27 (h/(2*pi))*omega | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "E_n"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman37() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman37(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
